#version 330

uniform samplerCube s_texture0;
uniform float mu_brightness;

in vec3 v_eyeDirection;

out vec4 fragColor;

void main() {
    fragColor = texture(s_texture0, v_eyeDirection) * mu_brightness;
}
